// source: v1/order_private/cancel_fast_deal_item_private.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_model_cancel_fast_deal_item_pb = require('../../v1/order/model_cancel_fast_deal_item_pb.js');
goog.object.extend(proto, v1_order_model_cancel_fast_deal_item_pb);
goog.exportSymbol('proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.displayName = 'proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.displayName = 'proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.displayName = 'proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.displayName = 'proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse';
}

/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest;
  return proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem;
      reader.readMessage(value,v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.CancelFastDealItem items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelFastDealItem>}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.CancelFastDealItem>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelFastDealItem>} value
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest} returns this
*/
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.CancelFastDealItem, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse;
  return proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse} returns this
*/
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order_private.RejectMultiCancelFastDealItemResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest;
  return proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem;
      reader.readMessage(value,v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem.serializeBinaryToWriter
    );
  }
};


/**
 * repeated fcp.order.v1.order.CancelFastDealItem items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelFastDealItem>}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.CancelFastDealItem>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_cancel_fast_deal_item_pb.CancelFastDealItem, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelFastDealItem>} value
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest} returns this
*/
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelFastDealItem=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelFastDealItem}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.CancelFastDealItem, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest} returns this
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemRequest.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    isOk: jspb.Message.getBooleanFieldWithDefault(msg, 1, false),
    errsList: jspb.Message.toObjectList(msg.getErrsList(),
    v1_order_common_pb.ObjectError.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse;
  return proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setIsOk(value);
      break;
    case 2:
      var value = new v1_order_common_pb.ObjectError;
      reader.readMessage(value,v1_order_common_pb.ObjectError.deserializeBinaryFromReader);
      msg.addErrs(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getIsOk();
  if (f) {
    writer.writeBool(
      1,
      f
    );
  }
  f = message.getErrsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.ObjectError.serializeBinaryToWriter
    );
  }
};


/**
 * optional bool is_ok = 1;
 * @return {boolean}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.getIsOk = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 1, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.setIsOk = function(value) {
  return jspb.Message.setProto3BooleanField(this, 1, value);
};


/**
 * repeated fcp.order.v1.order.ObjectError errs = 2;
 * @return {!Array<!proto.fcp.order.v1.order.ObjectError>}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.getErrsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.ObjectError>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.ObjectError, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.ObjectError>} value
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse} returns this
*/
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.setErrsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.ObjectError=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.ObjectError}
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.addErrs = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.ObjectError, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse} returns this
 */
proto.fcp.order.v1.order_private.DoneMultiCancelFastDealItemResponse.prototype.clearErrsList = function() {
  return this.setErrsList([]);
};


goog.object.extend(exports, proto.fcp.order.v1.order_private);
